%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname pyramid_mako
%global srcname pyramid-mako

Name:               python-%{srcname}
Version:            1.0.2
Release:            8%{?dist}
Summary:            Mako template bindings for the Pyramid web framework

Group:              Development/Libraries
License:            BSD
URL:                http://pypi.python.org/pypi/%{modname}
Source0:            https://files.pythonhosted.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-pyramid

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-pyramid

# For the test suite
BuildRequires:      python2-webtest
BuildRequires:      python2-nose
BuildRequires:      python2-coverage
BuildRequires:      python2-virtualenv

BuildRequires:      python3-webtest
BuildRequires:      python3-nose
BuildRequires:      python3-coverage
BuildRequires:      python3-virtualenv

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:      python-webtest1.3
BuildRequires:      python-mako0.4 >= 0.3.6
Requires:           python-mako0.4 >= 0.3.6
%else
BuildRequires:      python2-mako
BuildRequires:      python3-mako
%endif


%description
These are bindings for the Mako templating system for the Pyramid web
framework.


%package -n python2-%{srcname}
Summary:    %{summary}
Requires:   python2-mako
Requires:   python2-pyramid
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
These are bindings for the Mako templating system for the Pyramid web
framework.


%package -n python3-%{srcname}
Summary:    %{summary}
Requires:   python3-mako
Requires:   python3-pyramid
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
These are bindings for the Mako templating system for the Pyramid web
framework.


%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
awk 'NR==3{print "import __main__; __main__.__requires__ = __requires__ = [\"WebTest>=1.3.1\", \"WebOb>=1.3.1\", \"zope.interface>=3.8.0\", \"Mako>=0.3.6\"]; import pkg_resources"}3' setup.py > tempfile
mv tempfile setup.py

# Remove lingering .gitignore file and hidden static folder
rm docs/.gitignore
rm -rf docs/.static


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%doc README.rst COPYRIGHT.txt CONTRIBUTORS.txt CHANGES.txt docs/
%license LICENSE.txt
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*

%files -n python3-%{srcname}
%doc README.rst COPYRIGHT.txt CONTRIBUTORS.txt CHANGES.txt docs/
%license LICENSE.txt
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-7
- Rebuilt for Python 3.7

* Tue Feb 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.2-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-2
- Rebuild for Python 3.6

* Thu Aug 18 2016 Dominika Krejci <dkrejci@redhat.com> - 1.0.2-1
- Update to 1.0.2
- Add Python 3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0a3-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0a3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0a3-6
- Fix WebOb dependency for EPEL (#1270297)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0a3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 13 2014 Ralph Bean <rbean@redhat.com> - 1.0a3-4
- Fix rhel conditional.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0a3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 1.0a3-2
- Fix test deps for el6.

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 1.0a3-1
- Latest upstream includes a fixed test suite.
- Reenabled the test suite.

* Thu Mar 20 2014 Ralph Bean <rbean@redhat.com> - 1.0a2-2
- Remove hidden folder as per review.

* Wed Mar 19 2014 Ralph Bean <rbean@redhat.com> - 1.0a2-1
- Initial packaging for Fedora
